<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt">
  <xsl:include href="_common.xsl"/>
  
  <xsl:template match="/DataDocumenter">
    <html>
      <xsl:call-template name="head" />
      <body>
        <div class="container">
        <xsl:apply-templates select="Breadcrumbs"/>
              
        <xsl:call-template name="module"/>
        <xsl:apply-templates select="Functions|Procedures|Tables|Views"/>
        </div>
      </body>
    </html>
  </xsl:template>

  <!-- Module information -->
  <xsl:template name="module">
    <h1>
      <!--<i class="icon2x-module"></i>-->
      <xsl:value-of select="Module/Name"/>
    </h1>

    <table class="table table-vertical">
      <tbody>
        <xsl:call-template name="customFieldRows"/>
      </tbody>
    </table>

    <xsl:if test="Module/ERD != ''">
      <div class="scroll-x">
        <xsl:value-of select="Module/ERD" disable-output-escaping="yes"/>
      </div>
      <script src="{$resources}js/popup.js"></script>
      <script>
        <![CDATA[
          $(function() {
            $('svg [data-msg]').popup();
          });
        ]]>
      </script>
    </xsl:if>

    <xsl:if test="Module/Description != ''">
      <div class="element description">
        <!-- The disable-output-escaping="yes" provides HTML content support. -->
        <div class="html user-description">
          <xsl:value-of select="Module/Description" disable-output-escaping="yes"/>
        </div>
      </div>
    </xsl:if>
  </xsl:template>

  <!-- Objects' tables -->
  <xsl:template match="Functions|Procedures|Tables|Views">
    <xsl:choose>
      <xsl:when test=".!=''">
        <h2>
          <xsl:value-of select="local-name()"/>
        </h2>
        <ol type="1">
          <xsl:apply-templates select="Row"/>
        </ol>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <!-- Objects row -->
  <xsl:template match="Row">
    <li>
      <a href="#{Name/@src}{$ext}" class="ajax" data-target="#right">
        <xsl:value-of select="Name"/>
        <xsl:if test="string-length(Title)>0">
          (<xsl:value-of select="Title"/>)
        </xsl:if>
      </a>
    </li>
  </xsl:template>

</xsl:stylesheet>